import { axios } from '@/utils/request'

//  客户类型列表  分页
export const custTypeList = (params) => {
  const url = `/custType/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  客户类型列表  不分页
export const custTypeAllList = (params) => {
  return axios({
    url: `/custType/queryList`,
    data: {},
    method: 'post'
  })
}
//  客户类型列表  下拉
export const custTypeFindAllList = (params) => {
  return axios({
    url: `/custType/findAll`,
    data: {},
    method: 'post'
  })
}

// 新增/编辑客户类型
export const custTypeSave = params => {
  return axios({
    url: '/custType/save',
    data: params,
    method: 'post'
  })
}

// 删除客户类型
export const custTypeDel = params => {
  return axios({
    url: `/custType/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
